Bug 2074 - net ads join -> Segmentation fault
net ads join -> Segmentation fault
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.8
x86 Linux
: P3 critical
: none
Assigned To: Jim McDonough
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 04:35 UTC by Michael Arlt
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments
output of net ads join (10.65 KB, text/plain)
2004-11-22 04:42 UTC, Michael Arlt
no flags Details
our smb.conf (1.48 KB, text/plain)
2004-11-22 04:43 UTC, Michael Arlt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Arlt 2004-11-22 04:35:02 UTC
Hello,

we are using samba 3.0.9 compiled on debian Woody (up to date):

We are trying to join a domain, the net utility just segfaults. The same problem
exists in samba 3.0.8.
Joining an domain worked in all versions up to samba 3.0.8. I will attatch our
smb.conf and the output of "net ads join" with debuglevel 10.
Comment 1 Michael Arlt 2004-11-22 04:42:17 UTC
Created attachment 802 [details]
output of net ads join
Comment 2 Michael Arlt 2004-11-22 04:43:11 UTC
Created attachment 803 [details]
our smb.conf
Comment 3 Jim McDonough 2004-11-22 07:42:37 UTC
Please provide a backtrace here.  The Samba debug output is useful, but we'll
also need the backtrace.  Also, please see bug #2036, which reported a net ads
join segfault, and a fix was checked in.  I can't tell without the backtrace if
it's the same bug, but just in case, please try the latest SVN.
Comment 4 Gerald (Jerry) Carter 2004-11-22 08:15:40 UTC
Jim, There was anotherpatch already checked in for 3.0.10
that fixed a segfault when the something fails with the krb5 libs.
In this case, the preauth fails (entering the wrong password)
so we end up freeing static memory IIRC.

Try this patch:
`svn diff -r3794:3796 svnL//svnanon.samba.org/samba/branches/SAMBA_3_0`
Comment 5 Michael Arlt 2004-11-24 02:32:37 UTC
(In reply to comment #3)
Hello,

please can you tell me how to make this backtrace. I just dont know what this is!

Comment 6 Jim McDonough 2004-11-29 07:46:39 UTC
Michael, please look at Jerry's comment (#4) about the patch that was already
checked in.  Please try it out (or get the latest SAMBA_3_0) and close the bug
if this fixes it.  We'll worry about the backtrace if it doesn't.
Comment 7 Michael Arlt 2004-12-14 04:42:35 UTC
(In reply to comment #6)
Thank you for the patch! After patching samba3.0.9 "net ads join" did work again.

Comment 8 Gerald (Jerry) Carter 2005-08-24 10:17:30 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.